#pragma once

#include <nlite_common\define.h>
#include "namespace_start.h"



	///
	///アプリケーション情報クラス(シングルトン)
	///
	class CApplicationInfo{



		

	private:
		static CApplicationInfo APPINFO;
		std::vector<Char>	block;							//ブロックバッファ
		LPTSTR	pProductVersion;				//バージョン情報
		LPTSTR  pOriginalFileName;				//オリジナルファイル名
		LPTSTR  pLegalCopyright;				//著作権
		LPTSTR  pProductName;					//製品名
	private:
		///
		///コンストラクタ
		///
		CApplicationInfo();

	public:

		///
		///デストラクタ
		///
		~CApplicationInfo();
	public:
		///
		///シングルトン
		///
		static CApplicationInfo& getInstance();
		



		//
		//ゲッター
		//
		static const LPCTSTR getProductVersion();

		static const LPCTSTR getOriginalFileName();

		static const LPCTSTR getLegalCopyright();

		static const LPCTSTR getProcuctName();



		

	};


#include "namespace_end.h"


#pragma comment(lib,"Version.lib")